﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace S01PTSingle
{
    public partial class Form1 : Form
    {
        byte PTType;//PT接続タイプ
        const short devId = 0;//装置のID

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            TypeSelect.SelectedIndex = 0;
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            if (StartStopBtn.Text == "停止")
            {
                MeasStop();
            }
        }
        private void MeasStart()
        {
            short Ret;
            try
            {
                Ret = TUSBSPT.Tusbs01pt_Device_Open(devId);
                if (Ret != 0)
                {
                    MessageBox.Show(TUSBSPT.GetErrMessage(Ret));
                    return;
                }
                else
                {
                    TypeSelect.Enabled = false;
                    PTType = (byte)TypeSelect.SelectedIndex;

                    Timer1.Enabled = true;
                    StartStopBtn.Text = "停止";
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                this.Close();
            }
        }

        private void MeasStop()
        {
            Timer1.Enabled = false;
            TUSBSPT.Tusbs01pt_Device_Close(devId);
            StartStopBtn.Text = "開始";
            TypeSelect.Enabled = true;
        }

        private void StartStopBtn_Click(object sender, EventArgs e)
        {
            switch (StartStopBtn.Text)
            {
                case "開始":
                    MeasStart();
                    break;
                case "停止":
                    MeasStop();
                    break;
            }
        }

        private void Timer1_Tick(object sender, EventArgs e)
        {
            short Ret;
            int Cnt;
            double tmpData;
            double rData;//抵抗値データ
            double tData;//温度データ

            Timer1.Enabled = false;//タイマーは一旦停止
            rData = 0.0;
            tData = 0.0;
            for (Cnt = 0; Cnt < 100; Cnt++)
            {
                Ret = TUSBSPT.Tusbs01pt_Single_Sample(devId, out tmpData, PTType, 0);//抵抗値データの取得
                if (Ret != 0)
                {
                    MessageBox.Show(TUSBSPT.GetErrMessage(Ret));
                    MeasStop();
                    return;
                }
                rData += tmpData;
                Ret = TUSBSPT.Tusbs01pt_Single_Sample(devId, out tmpData, PTType, 1);//温度データの取得
                if (Ret != 0)
                {
                    MessageBox.Show(TUSBSPT.GetErrMessage(Ret));
                    MeasStop();
                    return;
                }
                tData += tmpData;
            }
            rData /= 100.0;
            tData /= 100.0;

            ResistDisp.Text = rData.ToString("0000.0");
            TempDisp.Text = tData.ToString("0000.0");

            Timer1.Enabled = true;//タイマー再開
        }
    }
}
