﻿'------------------------------------------------------------
'            TUSB-S01PTドライバ操作用標準モジュール
'            2013/06/27
'            株式会社タートル工業
'-----------Copyright (C) 2013 Turtle Industry Co., Ltd.-----
Option Strict Off
Option Explicit On
Imports System.Runtime.InteropServices

Module TUSBS01PT
    <DllImport("TUSBSPT.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01pt_Device_Open(ByVal Id As Short) As Short
    End Function
    <DllImport("TUSBSPT.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Sub Tusbs01pt_Device_Close(ByVal Id As Short)
    End Sub
    <DllImport("TUSBSPT.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01pt_Single_Sample(ByVal Id As Short, _
                                     ByRef Data As Double, _
                                     ByVal Connection As Byte, _
                                     ByVal sType As Byte) As Short
    End Function
    <DllImport("TUSBSPT.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01pt_Start_Sample(ByVal Id As Short, _
                                    ByVal SampleRate As Short) As Short
    End Function
    <DllImport("TUSBSPT.DLL", CallingConvention:=CallingConvention.Cdecl)> _
    Function Tusbs01pt_Get_Datas(ByVal Id As Short, _
                                 <[In](), Out()> ByVal Data() As Double, _
                                 <[In](), Out()> ByVal SerNum() As Byte, _
                                 ByRef size As Byte, _
                                 ByVal Connection As Byte, _
                                 ByVal sType As Byte) As Short
    End Function
    'エラーメッセージ出力
    Function Tusbs01pt_GetErrMessage(ByVal retcode As Short) As String
        Select Case retcode
            Case 0
                Return "正常終了しました"
            Case 1
                Return "ID番号が不正です"
            Case 2
                Return "ドライバがインストールされていません"
            Case 3
                Return "すでにデバイスはオープンされています"
            Case 4
                Return "接続されている台数が多すぎます"
            Case 5
                Return "オープンできませんでした"
            Case 6
                Return "デバイスがみつかりません"
            Case 7
                Return "オープンされていません"
            Case 8
                Return "パラメータエラー"
            Case 9
                Return "USB通信エラーです"
            Case Else
                Return "不明なエラーです"
        End Select
    End Function
End Module
