﻿Public Class Form1
    Dim PTType As Byte 'PT接続タイプ
    Const devID As Short = 0 '装置のID

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        TypeSelect.SelectedIndex = 0
    End Sub

    Private Sub Form1_FormClosed(sender As System.Object, e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
        If StartStopBtn.Text = "停止" Then
            MeasStop()
        End If
    End Sub

    Private Sub MeasStart()
        Dim Ret As Short
        Ret = Tusbs01pt_Device_Open(devID)
        If (Ret <> 0) Then
            Tusbs01pt_GetErrMessage(Ret)
            Exit Sub
        End If

        TypeSelect.Enabled = False
        PTType = TypeSelect.SelectedIndex

        Timer1.Enabled = True
        StartStopBtn.Text = "停止"
    End Sub

    Private Sub MeasStop()
        Timer1.Enabled = False
        Tusbs01pt_Device_Close(devID)
        StartStopBtn.Text = "開始"
        TypeSelect.Enabled = True
    End Sub

    Private Sub StartStopBtn_Click(sender As System.Object, e As System.EventArgs) Handles StartStopBtn.Click
        Select Case StartStopBtn.Text
            Case "開始"
                MeasStart()
            Case "停止"
                MeasStop()
        End Select
    End Sub

    Private Sub Timer1_Tick(sender As System.Object, e As System.EventArgs) Handles Timer1.Tick
        Dim Ret As Short
        Dim Cnt As Integer
        Dim tmpData As Double
        Dim rData As Double
        Dim tData As Double

        Timer1.Enabled = False 'タイマーは一旦停止
        rData = 0.0
        tData = 0.0
        For Cnt = 0 To 99
            Ret = Tusbs01pt_Single_Sample(devID, tmpData, PTType, 0) '抵抗値データの取得
            If Ret <> 0 Then
                Tusbs01pt_GetErrMessage(Ret)
                MeasStop()
                Exit Sub
            End If
            rData += tmpData
            Ret = Tusbs01pt_Single_Sample(devID, tmpData, PTType, 1) '温度データの取得
            If Ret <> 0 Then
                Tusbs01pt_GetErrMessage(Ret)
                MeasStop()
                Exit Sub
            End If
            tData += tmpData
        Next

        rData /= 100.0
        tData /= 100.0

        ResistDisp.Text = rData.ToString("0000.0")
        TempDisp.Text = tData.ToString("0000.0")

        Timer1.Enabled = True 'タイマー再開
    End Sub
End Class
